### Constructor

# GimpUi ChainButton new

#### Declaration [src]

    GtkWidget*
    gimp_chain_button_new (
      GimpChainPosition position
    )

#### Description [src]

Creates a new `GimpChainButton` widget.

This returns a button showing either a broken or a linked chain and small clamps attached to both sides that visually group the two widgets you want to connect. This widget looks best when attached to a grid taking up two columns (or rows respectively) next to the widgets that it is supposed to connect. It may work for more than two widgets, but the look is optimized for two.

#### Parameters

`position`

  Type: `GimpChainPosition`

  The position you are going to use for the button with respect to the widgets you want to chain.

#### Return value

Type: `GtkWidget`

Pointer to the new `GimpChainButton`, which is inactive by default. Use `gimp_chain_button_set_active()` to change its state.

The data is owned by the called function.